#note this package is not prefixable
%define	name	ctags
%define version 5.8
%define subrel	1
%define release %mkrel 7

Summary:	Generates an index (or "tag") file for objects found in source files
Name:		%{name}
Version:	%{version}
Release:	%{release}
URL:		http://ctags.sourceforge.net/
Source0:	http://prdownloads.sourceforge.net/ctags/%{name}-%{version}.tar.bz2
Patch0:		ctags-5.7-fix-str-fmt.patch
Patch1:		ctags-CVE-2014-7204.patch
License:	GPLv2+ and LGPLv2+ and Public Domain
Group:		Development/Tools

%description
The ctags program generate an index (or "tag") file for a variety of
language objects found in files.  This tag file allows these items to
be quickly and easily located by a text editor or other utility.  A
"tag" signifies a language object for which an index entry is
available (or, alternatively, the index entry created for that object).

Alternatively, ctags can generate a cross reference file which lists, in
human readable form, information about the various source objects found in
a set of language files.

%prep
%setup -q
%patch0 -p0
%patch1 -p1 -b .CVE-2014-7204
# fix permission for %doc
chmod a+r ctags.html

%build
%configure2_5x --disable-etags --enable-tmpdir=/tmp
%make

%install
rm -rf %{buildroot}
%makeinstall

mv %{buildroot}/%_bindir/ctags %{buildroot}/%_bindir/exuberant-ctags
mv %{buildroot}/%_mandir/man1/ctags.1 %{buildroot}/%_mandir/man1/exuberant-ctags.1

%clean
rm -rf %{buildroot}

%post
update-alternatives --install %_bindir/ctags ctags %_bindir/exuberant-ctags 10 \
                    --slave %_mandir/man1/ctags.1%{_extension} ctags.1%{_extension} %_mandir/man1/exuberant-ctags.1%{_extension}

%postun
[ $1 = 0 ] || exit 0
update-alternatives --remove ctags %_bindir/exuberant-ctags

%files
%defattr(-,root,root)
%_bindir/exuberant-ctags
%_mandir/man1/exuberant-ctags.1*
%doc EXTENDING.html FAQ NEWS README ctags.html





%changelog
* Mon Oct 13 2014 luigiwalser <luigiwalser> 5.8-7.1.mga4
+ Revision: 738289
- add patch from fedora to fix CVE-2014-7204

* Fri Oct 18 2013 umeabot <umeabot> 5.8-7.mga4
+ Revision: 503647
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 5.8-6.mga3
+ Revision: 348385
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 21 2012 pterjan <pterjan> 5.8-5.mga3
+ Revision: 319927
- Fix the group

* Tue Nov 20 2012 pterjan <pterjan> 5.8-4.mga3
+ Revision: 319919
- Fix License tag

* Sun Jan 09 2011 blino <blino> 5.8-3.mga1
+ Revision: 3300
- imported package ctags

